NG_ECHO(4)

NAME
ng_echo - netgraph echo node type

SYNOPSIS
#include <netgraph/ng_echo.h>

DESCRIPTION
The echo node type reflects all data and control messages back to the sender. This node type is used for testing and debugging.

HOOKS
A echo node accepts any request to connect, regardless of the hook name, as long as the name is unique.

CONTROL MESSAGES
This node type supports only the generic control messages. Any other control messages are reflected back to the sender.

SHUTDOWN
This node shuts down upon receipt of a NGM_SHUTDOWN control message, or when all hooks have been disconnected.

SEE ALSO
netgraph(4), ng_hole(4), ngctl(8)

HISTORY
The ng_echo node type was implemented in FreeBSD 4.0.

AUTHORS
Julian Elischer <julian@FreeBSD.org>